Budgie Desktop: Que es y como instalarlo

Anteriormente se ha hablado del lanzamiento de SolusOS 1.0, de lo mas atractivo de la distro es su entorno de escritorio Budgie Desktop.

¿Que es Budgie Desktop?

Es un Entorno de Escritorio basado en GNOME 3 y desarrollado por el equipo de Solus Project para su distro. El panel es configurable ,por defecto se encuentra en la parte superior de la pantalla, pero yo lo tengo en la parte inferior:

Aunque también se pueden tener ambos

En la siguiente imagen, a la derecha podéis ver el panel multiusos ‘Raven’, que se muestra al pulsar, o en la campanilla o en la hora. En este panel se pueden hace varias cosas, entre ellas, cambiar de tema, consultar el calendario, gestionar el sonido o ver las notificaciones que llegan:

Este panel nos sirve también para gestionar algunas aplicaciones abiertas, por ejemplo Rhytmbox:

De fabrica, el tema del panel es oscuro (hay un ajuste donde se supone que se puede cambiar, aunque el panel permanece oscuro). Budgie se basa en componentes estándar del escritorio Gnome como ‘mutter’ en lugar de modificar todos los componentes como algunos otros escritorios, así que la instalación es más fácil si tienes Gnome instalado.

Instalación

Instalación en Ubuntu y derivados

Empezamos con la instalación en Ubuntu y derivados como Linux Mint o elementaryOS.

Primero tenemos que instalar 2 paquetes:
sudo apt-get install build-essential git
Lugo descargamos Budgie y el tema ‘evopop’, que es el mas recomendado:
git clone https://github.com/solus-project/budgie-desktop.git
git clone https://github.com/solus-cold-storage/evopop-gtk-theme
Entramos e instalamos EvoPop

cd evopop-gtk-theme
sh autogen.sh
sudo make install

Ahora nos vamos a instalar dependencias

sudo apt-get install libglib2.0-dev libgtk-3-dev libpeas-dev libpulse-dev libgnome-desktop-dev libmutter-dev libgnome-menu-3-dev libwnck-dev libupower-glib-dev libtool valac uuid-dev libgnome-desktop-3-dev gsettings-desktop-schemas-dev intltool libwnck-3-dev libpolkit-agent-1-dev libpolkit-gobject-1-dev

Y nos vamos a compilar

cd ~
cd budgie-desktop
./autogen.sh --prefix=/usr
make
sudo make install

Listo ya esta nuestro Entorno de Escritorio instalado, ahora instalamos unos paquetes más

sudo apt-get install mutter gnome-settings-daemon gnome-control-center gnome-shell-common gnome-themes-standard-data gnome-tweak-tool

Y lo lanzamos en la pantalla de inicio de sesión

Instalación en ArchLinux

Si eres usuario de Arch no necesitas mucha ayuda, asi que aquí tienes los comandos:

sudo pacman -Syu
sudo pacman -S base-devel git desktop-file-utils gnome-menus gnome-settings-daemon gnome-themes-standard gtk3 libgee libpeas libpulse libwnck3 mutter upower vala --needed
git clone https://github.com/evolve-os/budgie-desktop.git;cd budgie-desktop;./autogen.sh --prefix=/usr;make;sudo make install

Instalación en Fedora/OpenSUSE

De momento no esta la versión moderna de Budgie en Fedora y OpenSUSE, pero podéis descargar la antigua aquí.

Nada más por hoy, espero que te ayude a instalar Budgie o al menos que ayas conocido este fantástico pero simple escritorio. No te olvides de comentar y yo ya me despido en estas lineas, Bye!


20 comentarios

  1.   gonzalo dijo

    por favor, actualizar la info para archlinux, ya existen los paquetes budgie-desktop y budgie-desktop-git (ambos desde AUR) para instalar facilmente este escritorio, cualquier duda https://wiki.archlinux.org/index.php/Budgie_Desktop

  2.   prueba dijo

    “Es un Entorno de Escritorio basado en GNOME 2 y…”. Por lo que veo (de las dependencias de compilación) está basado en Gnome3!!.

  3.   sli dijo

    La forma facil de probar budgie sin tocar nada es probar manjaro con su variante budgie que tiene muy buena pinta y siempre va a la ultima!
    Saludos

  4.   Cesar dijo

    La instalacion para ArchLinux puede ser via yaourt, ya existen los paquetes para poder instalarlos.

    Saludos

    1.    iRoger dijo

      Gracias por la información, pero no puedo editar la entrada. Aun así gracias por comentar!

  5.   Francisco dijo

    Muy bien, basado en Gnome 2, ya que compráis algo que pertenecía a la comunidad, por lo menos leed un poco el github del proyecto por encima y os daréis cuenta que está basado en gnome 3, hasta usa el mismo explorador de archivos y está escrito en Vala, vergüenza me daría escribir este artículo.

    1.    iRoger dijo

      Pues por un error de nada no hace falta que te pongas así, ya esta corregido.
      Vergüenza me daría escribir ese comentario.

  6.   iRoger dijo

    Antes de todo, gracias por las criticas, pero desconozco como editar la entrada. ¿Alguien me podria facilitar como se hace? ¿O solo lo pueden modificar los admin?
    Gracias

  7.   gatopardo50 dijo

    ¿Como se pone el panel abajo?

    1.    iRoger dijo

      En el área de notificación, arriba a la derecha, pulsas en la rueda. Seguidamente pulsas en ‘Panel’ y donde dice ‘Posición del Panel’ seleccionas ‘Bottom’

  8.   rr dijo

    ¡Excelente post! Leí en mis vacaciones sobre Budgie y ahora con este artículo ya estoy instalándolo.

    Hay un error en en el comando de dependencias para Ubuntu y derivados: dos paquetes (libwnck-3-dev y libpolkit-agent-1-dev) tienen una coma de más al final, lo que hace que el sistema no los reconozca.

    Saludos,

    1.    iRoger dijo

      Por desgracia no puedo cambiarlo pero basta con quitar las comas.
      Gracias por comentar!

  9.   José dijo

    Es bonito si, pero en arch tiene problemas, creo yo, además quita muchas funcionalidades de gnome, le agrega varias que se solucionaban con extensiones, y no deja usar gnome shell. No me convence aún.

  10.   Alejandro dijo

    Este metodo de instalacion es solamente para Ubuntu 15.10 o la forma que explicas es valida para la version 14? Viendo la wiki de solusproyect https://wiki.solus-project.com/Budgie_on_other_Operating_Systems dice que se ha probado en Ubuntu 15.10 pero muestra una forma de instalacion un poco distinta. Ademas me aparece un problema cuando trato de hacer “make”, un mensaje que dice “No se especificó ningún objetivo y no se encontró ningún makefile. Alto”

    1.    iRoger dijo

      Se supone que funciona en todas las versiones. Respecto a lo del ‘make’, has ejecutado el script ‘configure’? Sino no funciona.
      Gracias por comentar!

  11.   linxer dijo

    istalacion para debian ?

    1.    Luigys Toro dijo

      Puedes hacerlo con la instalación ofrecida para Ubuntu sin problemas

    2.    Serxius dijo

      Aparte de lo dicho en el post, se tiene que instalar gtk-doc-tools, porque al ejecutar el autogen.sh da un error.
      La version de Debian estable de valac es la 0.26.1, y se requiere la 0.28, así que tendrías que cambiar las sources a testing, o instalar solo ese paquete (no es lo recomendado mezclar releases). Si ya estas utilizando un Debian testing/stretch, ignora esto último 🙂

    3.    Serxius dijo

      Antes de que se me olvide, también habría que instalar el libibus-1.0-dev, antes de poder hacer el make.

  12.   Jin dijo

    No puedo instalarlo, me da error en la parte de budgie-desktop.

    ./autogen.sh –prefix=/usr – En esta parte, no pasa nada

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.